Bug 1090957 - [RFE][M-5] LifeCycle/Migrate VM does not support VMware Folder relocation
Summary: [RFE][M-5] LifeCycle/Migrate VM does not support VMware Folder relocation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.2.0
Hardware: All
OS: All
low
medium
Target Milestone: MVP
: 5.10.0
Assignee: Greg McCullough
QA Contact: Kedar Kulkarni
URL:
Whiteboard: vsphere:provision
Depends On:
Blocks: 1555371 1591585
TreeView+ depends on / blocked
 
Reported: 2014-04-24 13:11 UTC by John Hardy
Modified: 2019-07-11 07:56 UTC (History)
11 users (show)

Fixed In Version: 5.10.0.3
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:13 UTC
Category: Feature
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:31 UTC

Description John Hardy 2014-04-24 13:11:03 UTC
Description of problem:

The LifeCycle/Migrate feature when used on a Virtual Machine in a VMware setup does not provide the capability to move a VM to a folder.


Version-Release number of selected component (if applicable):


How reproducible:

Select a VM in the Virtual Machines view, click LifeCycle, Click Migrate.

The panel shown does not include the Folder to place the VM into.


I have tried to edit the migrate dialog to include Folder placement yaml from the provisioning dialogs, but this is ignored.

We should be able to click Migrate and change ANY of the values in the panel and CLOUDFORMS Management Engine differences the changes against the current values and migrates as required. Eg in this case, we should be able to hide ALL fields except for FOLDER, giving the user to select a folder from the drop down, and CLOUDFORMS Management Engine moves the VM to the new folder. This can be performed using VMware SOAP vimService call "MoveIntoFolder_Task"

thanks

Comment 2 Dave Johnson 2015-02-09 22:54:20 UTC
We are in the process of re-evaluating all RFEs, for the short-term, anything in unspecified is getting set to a low priority.  In the coming weeks, these will all be reviewed and re-prioritized to something that closer reflects reality.

Comment 10 CFME Bot 2018-06-20 14:19:27 UTC
New commit detected on ManageIQ/manageiq-providers-vmware/master:

https://github.com/ManageIQ/manageiq-providers-vmware/commit/2ad3dc5ce1bcdc6ea2de162be496c560a8b5014b
commit 2ad3dc5ce1bcdc6ea2de162be496c560a8b5014b
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Tue Jun 19 13:09:36 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Tue Jun 19 13:09:36 2018 -0400

    Add vm_move_into_folder method.

    https://bugzilla.redhat.com/show_bug.cgi?id=1090957

 app/models/manageiq/providers/vmware/infra_manager.rb | 4 +
 1 file changed, 4 insertions(+)

Comment 11 CFME Bot 2018-06-22 20:41:50 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/6ec2e3f6d3aa6c96bcf08b60c5208de9ccdb99b5
commit 6ec2e3f6d3aa6c96bcf08b60c5208de9ccdb99b5
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Tue Jun 19 13:07:57 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Tue Jun 19 13:07:57 2018 -0400

    Support moving a VM to another folder during VM Migrate.

    https://bugzilla.redhat.com/show_bug.cgi?id=1090957

 app/models/vm_migrate_task.rb | 22 +-
 app/models/vm_or_template/operations/relocation.rb | 15 +
 product/dialogs/miq_dialogs/vm_migrate_dialogs.yaml | 8 +
 spec/models/vm_migrate_task_spec.rb | 8 +-
 4 files changed, 43 insertions(+), 10 deletions(-)

Comment 12 CFME Bot 2018-06-28 06:06:00 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/8d7818b79a1f88a5816af68f062f30b7f4c45680
commit 8d7818b79a1f88a5816af68f062f30b7f4c45680
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Mon Jun  4 14:40:12 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Mon Jun  4 14:40:12 2018 -0400

    Add folder dropdown to VM Migrate.

    https://bugzilla.redhat.com/show_bug.cgi?id=1090957

 app/views/miq_request/_prov_vm_migrate_dialog.html.haml | 8 +
 1 file changed, 8 insertions(+)

Comment 13 Kedar Kulkarni 2018-07-13 15:05:07 UTC
on 5.10.0.3 I could see the folder relocation of VMs is possible.

Comment 16 errata-xmlrpc 2019-02-07 23:02:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.